Skip to content

Qwen3 ASR Flash

Qwen3-ASR-Flash is a highly accurate, robust multilingual speech recognition model. It automatically detects the language and transcribes speech across 11 languages, maintaining precision even in complex audio environments.

POST https://llm.siraya.ai/v1/audio/transcriptions

Supported Models

Model ID Description
qwen3-asr-flash Multilingual speech-to-text (transcription) across 11 languages.
Authorization string Required
Your API Key (e.g., `Bearer `).

Body (multipart/form-data)

model string Required
The model ID (e.g., `qwen3-asr-flash`).
file file Required
The audio file to transcribe.
language string
Language hint in ISO-639-1 format (e.g. `en`, `zh`). The model also auto-detects the language.
prompt string
Optional context hint to improve transcription accuracy.
response_format string Default: json
Output format (e.g. `json`, `verbose_json`, `text`, `srt`, `vtt`).
temperature number
Sampling temperature, range `0.0`–`1.0`.
curl https://llm.siraya.ai/v1/audio/transcriptions \
  -H "Content-Type: multipart/form-data" \
  -H "Authorization: Bearer <API_KEY>" \
  --form "file=@/path/to/speech.mp3" \
  --form "model=\"qwen3-asr-flash\"" \
  --form "language=\"en\"" \
  --form "response_format=\"json\""
from openai import OpenAI

client = OpenAI(
    api_key="<API_KEY>",
    base_url="https://llm.siraya.ai/v1"
)

transcript = client.audio.transcriptions.create(
    model="qwen3-asr-flash",
    file=open("/path/to/speech.mp3", "rb"),
    language="en",
)

print(transcript.text)

Example Response

{
    "text": "Hello, this is the transcribed text."
}